require 'sinatra'
require_relative 'lib/fraction_list'
require_relative 'lib/fraction'
require_relative 'lib/input_checker'

helpers InputChecker

configure do
  set :fractions, FractionList.init_from_file
end

get '/' do
  @fractions = settings.fractions
  erb :index
end

get '/fractions/new' do
  erb :new_fraction
end

post '/fractions/new' do
  fraction = Fraction.new(params["nominator"].to_i, params["denominator"].to_i)
  settings.fractions.add(fraction)
  redirect to('/')
end

get '/summs' do
  @summs = settings.fractions.summs
  erb :summs
end

get '/fractions/edit/:index' do
  fraction = settings.fractions.by_index(params["index"].to_i)
  @nominator = fraction.nominator
  @denominator = fraction.denominator
  erb :edit_fraction
end

post '/fractions/edit/:index' do
  @errors = check_fraction_input(params)
  unless @errors.empty?
    @nominator = params['nominator']
    @denominator = params['denominator']
    return erb :edit_fraction
  end
  fraction = Fraction.new(params["nominator"].to_i, params["denominator"].to_i)
  settings.fractions.set(params[:index].to_i, fraction)
  redirect to('/')
end
