# frozen_string_literal: true

require_relative 'interactive_menu'
require_relative 'fraction_list'

class Application
  def initialize
    @fraction_list = FractionList.new
  end

  def read_data_from_file
    puts('Please input the name of the file to read data from')
    print('> ')
    file_name = $stdin.gets.strip
    @fraction_list.read_from_file(file_name)
  end

  def run
    menu = InteractiveMenu.new
    menu.add('Read data from the file', -> { read_data_from_file })
    menu.add_stop_action('Exit application')
    menu.infinite_run
  end
end
